Subject: Bug#1200: [X2Go-Dev] Bug#1200: Environment variables not set

From: Ulrich Sibiller <[email-masked]>
Date: Thu, 10 Aug 2017 14:00:35 +0200

Hallo Bruno,

AFAIK the current version of x2go is 4.1.something. Please try that one.

Besides, your list contains an unusual number of problems at once. Are
you sure your system is setup properly?

Uli

On Thu, Aug 10, 2017 at 12:24 PM, Bruno CAPELETO
<[email-masked]> wrote:
> Package: <x2goserver>
> Version: <4.0.1.20-0x2go1+git20170412.1125+9.main.1>
>
> # uname -a
> Linux mtcie1 4.9.0-3-amd64 #1 SMP Debian 4.9.30-2+deb9u1 (2017-06-18) x86_64
> GNU/Linux
>
>
>
> The below bugs are most probably related to each other, that's why I open
> one case for all of them.
>
> The issues are the following : I want to use the French software Laurux,
> which is based on Gambas interpreter, via a x2go session running on a Debian
> 9 server running LXDE (same issues seen on an Ubuntu server, x2goserver
> version = 4.0.1.20-0~1125~ubuntu14.04.1)..
>
> As a prerequisite, the software is installed on the server and runs well on
> a local session.
>
> 1. Whatever the client (Windows or Linux 4.0.3.1-4), the local environment
> variables are not set properly and the software - which needs French
> localization - crashes. That could be "solved" the following way :
> /etc/x2go/Xsession :
>
> ...
> LANG=fr
> LC_ALL=fr_FR.UTF-8
> export LANG
> export LC_ALL
> ...
>
> That seems to be a revival of older bugs, but it is definitely still here.
>
> 2. At the start of a new session, one gets a windows with an error message
> "No session for pid ..." ; that bug has already been reported several times
> in x2go bug tracking and marked as solved. Actually it is not on my brand
> new system.
>
> 3. The single application mode does not work with some of the applications,
> including that Laurux / Gambas. For example it works with /usr/bin/leafpad,
> but /usr/bin/libreoffice makes the x2go session crash.
>
> 4. The mouse double clic does not work in a x2go session, but only
> - within the Gambas software (works well for example when launching an
> application) and only
> - when the x2go client is running in a Windows environment (no problem when
> client in a Linux environment)
>
> Many thanks in advance for any support,
> Bruno
>
>
>
> _______________________________________________
> x2go-dev mailing list
> [email-masked]
> https://lists.x2go.org/listinfo/x2go-dev